For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
      • Filters Overview
      • Study Distribution (Quotas) with Filters
      • GETList all filters
      • GETGet filter distribution
      • POSTCount participants
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceFilters

List all filters

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/filters/
GET
/api/v1/filters/
$curl -G https://api.prolific.com/api/v1/filters/ \
> -H "Authorization: Token <token>" \
> -d filter_tag=custom-group
1{
2 "results": [
3 {
4 "filter_id": "handedness",
5 "title": "Handedness",
6 "description": "Whether a person is left or right-handed.",
7 "question": "Are you left or right-handed?",
8 "type": "select",
9 "data_type": "ChoiceID",
10 "choices": {
11 "0": "Right-handed",
12 "1": "Left-handed",
13 "2": "Ambidextrous"
14 }
15 },
16 {
17 "filter_id": "previous_studies",
18 "title": "Previous Studies AllowList",
19 "description": "Select one or more studies to allow participants who have completed them to participate in this study.",
20 "type": "select",
21 "data_type": "StudyID",
22 "choices": {
23 "645e4403bdd06d5f66d8fbd5": "Study 1 internal name",
24 "645e4403bdd06d5f66d8fbd8": "Study 2 internal name",
25 "645e4403bdd06d5f66d8fbdb": "Study 3 internal name"
26 }
27 },
28 {
29 "filter_id": "custom_allowlist",
30 "title": "Custom AllowList",
31 "description": "Select one or more participant ID's to allow participants to complete this study.",
32 "type": "select",
33 "data_type": "ParticipantID",
34 "choices": {
35 "0": "Add a list of participant ID's to create an allowlist filter."
36 }
37 },
38 {
39 "filter_id": "age",
40 "title": "Age",
41 "question": "How old are you?",
42 "description": "",
43 "type": "range",
44 "data_type": "integer",
45 "min": 18,
46 "max": 100
47 },
48 {
49 "filter_id": "joined_between",
50 "title": "Joined Between",
51 "description": "Allow participants who joined between the specified dates to participate in this study.",
52 "type": "range",
53 "data_type": "date",
54 "min": "2020-01-01",
55 "max": "2021-01-01"
56 }
57 ]
58}
List all filters that can be applied to your filter sets or studies.
Was this page helpful?
Previous

Study Distribution (Quotas) with Filters

Next

Get filter distribution

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Query parameters

detailedstringOptional
Include extra information required to sort and categorise filters in the Prolific app. This is not required for API use. Default false.
workspace_idstringOptional
The workspace ID for the workspace you are creating a study or filterset in. This is used to get contextual data such as previous studies and participant groups.
filter_tagstringOptional
Can be used to return only Custom Group filters.

Response

List of filters
resultslist of objects
_linksmap from strings to any
metamap from strings to any

Errors

4XX
Client Request Error